Skip to content

okhttp / okhttp3 / ConnectionSpec / isCompatible

isCompatible

fun isCompatible(socket:SSLSocket):Boolean

Returns true if the socket, as currently configured, supports this connection spec. In order for a socket to be compatible the enabled cipher suites and protocols must intersect.

For cipher suites, at least one of the required cipher suites must match the socket’s enabled cipher suites. If there are no required cipher suites the socket must have at least one cipher suite enabled.

For protocols, at least one of the required protocols must match the socket’s enabled protocols.